steamapi

# steamapi

## Table of contents

### Enumerations

- [ServerRegion](enums/ServerRegion.md)
- [UserPersonaState](enums/UserPersonaState.md)

### Classes

- [Game](classes/Game.md)
- [GameInfo](classes/GameInfo.md)
- [GameInfoBasic](classes/GameInfoBasic.md)
- [GameInfoExtended](classes/GameInfoExtended.md)
- [GameServer](classes/GameServer.md)
- [NewsPost](classes/NewsPost.md)
- [Server](classes/Server.md)
- [UserAchievement](classes/UserAchievement.md)
- [UserAchievements](classes/UserAchievements.md)
- [UserBadge](classes/UserBadge.md)
- [UserBadges](classes/UserBadges.md)
- [UserBans](classes/UserBans.md)
- [UserFriend](classes/UserFriend.md)
- [UserPlaytime](classes/UserPlaytime.md)
- [UserServer](classes/UserServer.md)
- [UserServers](classes/UserServers.md)
- [UserStats](classes/UserStats.md)
- [UserSummary](classes/UserSummary.md)
- [default](classes/default.md)

### Interfaces

- [AchievementPercentage](interfaces/AchievementPercentage.md)
- [AppBase](interfaces/AppBase.md)
- [CacheMap](interfaces/CacheMap.md)
- [City](interfaces/City.md)
- [Country](interfaces/Country.md)
- [GetGameNewsOptions](interfaces/GetGameNewsOptions.md)
- [GetUserOwnedGamesOptions](interfaces/GetUserOwnedGamesOptions.md)
- [State](interfaces/State.md)
- [SteamAPIOptions](interfaces/SteamAPIOptions.md)
- [UserStat](interfaces/UserStat.md)

### Type Aliases

- [Currency](README.md#currency)
- [Language](README.md#language)

## Type Aliases

### Currency

Ƭ **Currency**: ``"us"`` \| ``"uk"`` \| ``"eu"`` \| ``"ru"`` \| ``"br"`` \| ``"jp"`` \| ``"id"`` \| ``"my"`` \| ``"ph"`` \| ``"sg"`` \| ``"th"`` \| ``"vn"`` \| ``"kr"`` \| ``"ua"`` \| ``"mx"`` \| ``"ca"`` \| ``"au"`` \| ``"nz"`` \| ``"no"`` \| ``"pl"`` \| ``"ch"`` \| ``"cn"`` \| ``"in"`` \| ``"cl"`` \| ``"pe"`` \| ``"co"`` \| ``"za"`` \| ``"hk"`` \| ``"tw"`` \| ``"sa"`` \| ``"ae"`` \| ``"il"`` \| ``"kz"`` \| ``"kw"`` \| ``"qa"`` \| ``"cr"`` \| ``"uy"`` \| ``"az"`` \| ``"ar"`` \| ``"tr"`` \| ``"pk"``

#### Defined in

[src/SteamAPI.ts:151](https://github.com/xDimGG/node-steamapi/blob/acff462/src/SteamAPI.ts#L151)

___

### Language

Ƭ **Language**: ``"arabic"`` \| ``"bulgarian"`` \| ``"schinese"`` \| ``"tchinese"`` \| ``"czech"`` \| ``"danish"`` \| ``"dutch"`` \| ``"english"`` \| ``"finnish"`` \| ``"french"`` \| ``"german"`` \| ``"greek"`` \| ``"hungarian"`` \| ``"italian"`` \| ``"japanese"`` \| ``"koreana"`` \| ``"norwegian"`` \| ``"polish"`` \| ``"brazilian"`` \| ``"portuguese"`` \| ``"romanian"`` \| ``"russian"`` \| ``"latam"`` \| ``"spanish"`` \| ``"swedish"`` \| ``"thai"`` \| ``"turkish"`` \| ``"ukrainian"`` \| ``"vietnamese"``

#### Defined in

[src/SteamAPI.ts:157](https://github.com/xDimGG/node-steamapi/blob/acff462/src/SteamAPI.ts#L157)
